=== debian/changelog ===
pybind11 (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: cmake (>= 3.18~), ninja-build, python3-wheel
  * refresh predownloaded debian/images for privacy protection using
    debian/get_images.sh

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Jan 2021 23:55:39 +0100

pybind11 (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Nov 2020 01:28:13 +0800

pybind11 (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * update debian patch test_cmake_pyversion.patch to process
    PYVERSION to find python before using PYTHON_VERSION.
    Otherwise test_async is skipped. Closes: #973794.
  * use help2man to generate a manpage for pybind11-config

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Nov 2020 18:09:24 +0800

pybind11 (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * add debian patches
    - skip_sphinxcontrib_doc.patch removes sphinxcontrib
      modules rsvgconverter and moderncmakedomain for doc build, since
      they are not yet packaged.
    - test_cmake_pyversion.patch configures ./tests for specific python
      version if PYVERSION is defined for cmake.
      Applied in debian/tests. Closes: #973012, #973295.
  * To avoid privacy breaches, predownload badge image files in docs,
    store in debian/images and install in html/_images.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Oct 2020 03:44:25 +0800
