## pybind11 2.9.1

=== debian/changelog ===
pybind11 (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * debian patch python_paths_PR3764.patch applies upstream PR#3764
    to fix python path used by cmake. Closes: #1006615.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Mar 2022 20:54:33 +0100

pybind11 (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 11:47:07 +0100

pybind11 (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch drop_lto_on_some_archs.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jan 2022 11:35:54 +0100

pybind11 (2.8.1-3) unstable; urgency=medium

  * Team upload.
  * upload pybind11 2.8.1 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Dec 2021 22:47:30 +0100

pybind11 (2.8.1-2) experimental; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.0
  * build command4 debian tests with VERBOSE=1

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Dec 2021 12:53:18 +0100

pybind11 (2.8.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Nov 2021 22:48:39 +0100

pybind11 (2.7.1-2) unstable; urgency=medium

  * Team upload.
  * [508b902] Add .gitlab-ci.yml
  * [48e392c] Drop LTO on some archs. (Closes: #1000780)

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Dec 2021 19:55:33 +0100

pybind11 (2.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Aug 2021 02:17:27 +0200

pybind11 (2.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jul 2021 13:42:32 +0200
