=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-wheel,
                sphinx-common
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11
 Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
 Homepage: https://github.com/pybind/pybind11
