=== debian/tests/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  ; do cp -r tests ${AUTOPKGTEST_TMP}/tests-python$py
  ; cd ${AUTOPKGTEST_TMP}/tests-python$py
  ; cmake -DPYVERSION=$py .
- ; make
+ ; make VERBOSE=1
  ; python$py -m pytest
  ; cd $SRCDIR
  ; done
