## pybind11 2.10.0

=== debian/changelog ===
pybind11 (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * debian/tests: exclude armel from command2 (clang++). Gives error
    "undefined symbol: __atomic_fetch_add_4" on armel (armhf is fine)

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Jul 2022 11:42:58 +0200

pybind11 (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: python3-sphinx-copybutton <!nodoc>
  * update debian patch skip_sphinxcontrib_doc.patch to not use
    html theme furo (not available)
  * Standards-Version: 4.6.1
  * add Restrictions: allow-stderr in debian/tests command 4
    (now makes LTO warnings in stderr)

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Jul 2022 21:49:52 +0200

pybind11 (2.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch python_paths_PR3764.patch
  * Build-Depends: pybuild-plugin-pyproject
    to build using pyproject.toml (PEP517)

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Apr 2022 16:24:53 +0200
