=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                cmake (>= 3.18~),
                dpkg-dev (>= 1.17.14),
                dh-python,
+               pybuild-plugin-pyproject,
                libboost-dev (>= 1.56) <!nocheck>,
                libeigen3-dev <!nocheck>,
                ninja-build,
@@ -18,10 +19,11 @@
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-wheel,
                sphinx-common
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11
 Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
 Homepage: https://github.com/pybind/pybind11
