## pybind11 2.10.3

=== debian/changelog ===
pybind11 (2.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Jan 2023 13:29:12 +0100

pybind11 (2.10.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and libboost-dev.

  [ Drew Parsons ]
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Dec 2022 01:43:04 +0100

pybind11 (2.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - provides pkgconfig file (in pybind11-dev)

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Nov 2022 14:13:42 +0100
