=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 3.18~),
-               dpkg-dev (>= 1.17.14),
                dh-python,
                pybuild-plugin-pyproject,
-               libboost-dev (>= 1.56) <!nocheck>,
+               libboost-dev <!nocheck>,
                libeigen3-dev <!nocheck>,
                ninja-build,
                python3-all,
@@ -23,7 +22,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-wheel,
                sphinx-common
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11
 Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
 Homepage: https://github.com/pybind/pybind11
