## pybind11 2.11.1

=== debian/changelog ===
pybind11 (2.11.1-2) unstable; urgency=medium

  * Team upload.
  * pybind11-dev Depends: libpython3-dev, not Recommends.
    Python.h is #included (via #include chain) by pybind11.h.
  * after dh_clean remove pytest cache files. Closes: #1048150.

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Nov 2023 13:31:25 +0100

pybind11 (2.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Jul 2023 04:20:52 +0200

pybind11 (2.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * pybind11-dev Recommends: libpython3-dev to help ensure Python.h is
    available. Closes: #1032324.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Jun 2023 01:43:06 +0200
