=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: ${misc:Depends}
+Depends: libpython3-dev, ${misc:Depends}
 Recommends: libeigen3-dev
 Suggests: pybind11-doc <!nodoc>
 Description: seamless operability between C++11 and Python
