=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=cmake
+
+execute_after_dh_clean:
+	rm -rf tests/.pytest_cache
 
 override_dh_auto_clean:
 	dh_auto_clean
