## pybind11 2.12.0

=== debian/changelog ===
pybind11 (2.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends: furo, python3-sphinxcontrib.moderncmakedomain.
    Update debian patch skip_sphinxcontrib_doc.patch.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 May 2024 17:08:02 +0200
