=== debian/control ===
--- 
+++ 
@@ -17,12 +17,14 @@
                python3-pytest <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
+               furo <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinxcontrib.moderncmakedomain <!nodoc>,
                python3-wheel,
                sphinx-common
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11
 Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
 Homepage: https://github.com/pybind/pybind11
