## pybind11 2.13.5

=== debian/changelog ===
pybind11 (2.13.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Sep 2024 13:14:52 +0200
