=== debian/changelog ===
pybind11 (2.13.6-2) unstable; urgency=medium

  * Team upload.
  * Sourcefull update for Numpy 2.x transition (Closes: #1094717)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 14:39:46 +0100

pybind11 (2.13.6-1) unstable; urgency=medium

  * d/control: Add myself as uploaders.
  * d/rules: Remove unnecessary get-orig-source target.  
  * New upstream version.
  * d/gbp.conf: change debian-branch to debian/latest to be according to
    DEP-14.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 22 Sep 2024 11:11:53 -0300
