=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pybind11
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
+           Emmanuel Arias <eamanu@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
