=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,3 @@
 	sed "s|src=\"https://img.shields.io/pypi/v/pybind11.svg|src=\"_images/pybind11_pypi.svg|g" -i debian/pybind11-doc/usr/share/doc/pybind11-doc/html/*.html
 	sed "s|src=\"https://img.shields.io/pypi/pyversions/pybind11.svg|src=\"_images/pybind11_pyversions.svg|g" -i debian/pybind11-doc/usr/share/doc/pybind11-doc/html/*.html
 	sed "s|src=\"https://repology.org/badge/latest-versions/python:pybind11.svg|src=\"_images/pybind11_lastest.svg|g" -i debian/pybind11-doc/usr/share/doc/pybind11-doc/html/*.html
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink
