## pybind11 3.0.1

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile docs/requirements.in -o docs/requirements.txt
alabaster==0.7.16
    # via sphinx
babel==2.14.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
breathe==4.35.0
    # via -r requirements.in
certifi==2024.7.4
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.20.1
    # via
    #   breathe
    #   myst-parser
    #   sphinx
furo==2024.1.29
    # via -r requirements.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via sphinx
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.5
    # via jinja2
mdit-py-plugins==0.4.2
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==3.0.1
    # via -r requirements.in
packaging==24.0
    # via sphinx
pygments==2.17.2
    # via
    #   furo
    #   sphinx
pyyaml==6.0.2
    # via myst-parser
requests==2.32.4
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.2.6
    # via
    #   -r requirements.in
    #   breathe
    #   furo
    #   myst-parser
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinxcontrib-moderncmakedomain
    #   sphinxcontrib-svg2pdfconverter
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-moderncmakedomain==3.27.0
    # via -r requirements.in
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxcontrib-svg2pdfconverter==1.2.2
    # via -r requirements.in
urllib3==2.5.0
    # via requests
zipp==3.23.0
    # via importlib-metadata
