=== tests/test_cmake_build/installed_function/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,4 @@
-cmake_minimum_required(VERSION 3.4)
-project(test_installed_module CXX)
-
-# The `cmake_minimum_required(VERSION 3.4...3.18)` syntax does not work with
-# some versions of VS that have a patched CMake 3.11. This forces us to emulate
-# the behavior using the following workaround:
-if(${CMAKE_VERSION} VERSION_LESS 3.18)
-  cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
-else()
-  cmake_policy(VERSION 3.18)
-endif()
+cmake_minimum_required(VERSION 3.15...4.0)
 
 project(test_installed_function CXX)
 
@@ -35,4 +25,5 @@
   PYTHONPATH=$<TARGET_FILE_DIR:test_installed_function>
   ${_Python_EXECUTABLE}
   ${PROJECT_SOURCE_DIR}/../test.py
-  ${PROJECT_NAME})
+  ${PROJECT_NAME}
+  DEPENDS test_installed_function)
