=== debian/changelog ===
pybind11 (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-dev. Closes: #1116840.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 20:30:00 +0200

pybind11 (3.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * d/patches: Update patches according to new upstream release.
  * d/control: Use python3-scikit-build-core instead of python3-setuptools.
    - Add python3-myst-parser as Build Dependency.
  * d/rules: Install changelog.md instead of changelog.rst.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 26 Sep 2025 17:12:35 -0300
