=== debian/control ===
Source: pybind11
Standards-Version: 4.7.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
 Emmanuel Arias <eamanu@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 libboost-dev <!nocheck>,
 libeigen3-dev <!nocheck>,
 ninja-build,
 python3-all,
 python3-breathe <!nodoc>,
 python3-dev,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 furo <!nodoc>,
 python3-scikit-build-core,
 python3-myst-parser,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib.moderncmakedomain <!nodoc>,
 python3-wheel,
 sphinx-common,
Vcs-Browser: https://salsa.debian.org/science-team/pybind11
Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
Homepage: https://github.com/pybind/pybind11

Package: pybind11-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 libpython3-dev,
 ${misc:Depends},
Recommends:
 libeigen3-dev,
Suggests:
 pybind11-doc <!nodoc>,
Description: seamless operability between C++11 and Python
 pybind11 is a lightweight header library that exposes C++ types in
 Python and vice versa, mainly to create Python bindings of existing C++
 code. Its goals and syntax are similar to the excellent Boost.Python
 library by David Abrahams: to minimize boilerplate code in traditional
 extension modules by inferring type information using compile-time
 introspection.
 .
 This package provides the header-only library.

Package: pybind11-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation for pybind11
 pybind11 is a lightweight header library that exposes C++ types in
 Python and vice versa, mainly to create Python bindings of existing C++
 code. Its goals and syntax are similar to the excellent Boost.Python
 library by David Abrahams: to minimize boilerplate code in traditional
 extension modules by inferring type information using compile-time
 introspection.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python3-pybind11
Architecture: all
Multi-Arch: foreign
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 pybind11-dev (= ${binary:Version}),
Recommends:
 python3-numpy,
Description: pybind11 helper module for Python 3
 pybind11 is a lightweight header library that exposes C++ types in
 Python and vice versa, mainly to create Python bindings of existing C++
 code. Its goals and syntax are similar to the excellent Boost.Python
 library by David Abrahams: to minimize boilerplate code in traditional
 extension modules by inferring type information using compile-time
 introspection.
 .
 This package provides pybind11 for Python 3.
