=== debian/tests/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  ; $py -c "import example; assert(example.add(1, 2) == 3)"
  ; done
 Depends: clang, cmake, pybind11-dev, python3-all-dev
+Architecture: alpha amd64 arm64 armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 Restrictions: allow-stderr
 
 Test-Command: set -e
@@ -49,3 +50,4 @@
  g++,
  libboost-dev,
  libeigen3-dev
+Restrictions: allow-stderr
