=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
  filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/pybind11-$1\.tar\.gz/ \
  https://github.com/pybind/pybind11/tags .*/v?@ANY_VERSION@\.tar\.gz
